net.minecraft.client.gui

## Class GuiSlider

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiButton
    - - net.minecraft.client.gui.GuiSlider

-     public class GuiSlider
      extends GuiButton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `dragging` Is this slider control being dragged.
    `float` | `sliderValue` The value of this slider control.

    - ### Fields inherited from class net.minecraft.client.gui.GuiButton

      `displayString, drawButton, enabled, id, xPosition, yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSlider(int par1, int par2, int par3, EnumOptions par4EnumOptions, String par5Str, float par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `mousePressed(Minecraft par1Minecraft, int par2, int par3)` Returns true if the mouse has been pressed on this control.
    `void` | `mouseReleased(int par1, int par2)` Fired when the mouse button is released.

    - ### Methods inherited from class net.minecraft.client.gui.GuiButton

      `drawButton, func_82251_b, func_82252_a`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sliderValue

          public float sliderValue

      The value of this slider control.

    - #### dragging

          public boolean dragging

      Is this slider control being dragged.

  - ### Constructor Detail

    - #### GuiSlider

          public GuiSlider(int par1,
                   int par2,
                   int par3,
                   EnumOptions par4EnumOptions,
                   String par5Str,
                   float par6)

  - ### Method Detail

    - #### mousePressed

          public boolean mousePressed(Minecraft par1Minecraft,
                             int par2,
                             int par3)

      Returns true if the mouse has been pressed on this control. Equivalent of MouseListener.mousePressed(MouseEvent e).
      Overrides:
        `mousePressed` in class `GuiButton`

    - #### mouseReleased

          public void mouseReleased(int par1,
                           int par2)

      Fired when the mouse button is released. Equivalent of MouseListener.mouseReleased(MouseEvent e).
      Overrides:
        `mouseReleased` in class `GuiButton`